classification
Title: Clarify docstrings of pathlib suffix(es)
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cool-RR, miss-islington, taleinat
Priority: normal Keywords: patch

Created on 2019-10-09 15:15 by cool-RR, last changed 2019-11-02 17:05 by pitrou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16679 merged cool-RR, 2019-10-09 15:24
PR 17031 merged miss-islington, 2019-11-02 16:46
PR 17032 merged miss-islington, 2019-11-02 16:47
Messages (5)
msg354279 - (view) Author: Ram Rachum (cool-RR) * Date: 2019-10-09 15:15
I'm writing a PR for this right now.
msg354508 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2019-10-11 22:11
From the PR, the rationale for this suggestion is:

"Whenever I use path.suffix I have to check again whether it includes the dot or not. I decided to add it to the docstring so I won't have to keep checking."
msg355874 - (view) Author: miss-islington (miss-islington) Date: 2019-11-02 16:46
New changeset 8d4fef4ee2a318097f429cf6cbd4fb2e430bb9da by Miss Skeleton (bot) (Ram Rachum) in branch 'master':
bpo-38422: Clarify docstrings of pathlib suffix(es) (GH-16679)
https://github.com/python/cpython/commit/8d4fef4ee2a318097f429cf6cbd4fb2e430bb9da
msg355875 - (view) Author: miss-islington (miss-islington) Date: 2019-11-02 17:04
New changeset aa1fee8ffb0fb77a873c69d311759081346f8f4a by Miss Skeleton (bot) in branch '3.8':
bpo-38422: Clarify docstrings of pathlib suffix(es) (GH-16679)
https://github.com/python/cpython/commit/aa1fee8ffb0fb77a873c69d311759081346f8f4a
msg355876 - (view) Author: miss-islington (miss-islington) Date: 2019-11-02 17:04
New changeset 72b874a2ac6a7c1931e8b60fb865dc57adb441ee by Miss Skeleton (bot) in branch '3.7':
bpo-38422: Clarify docstrings of pathlib suffix(es) (GH-16679)
https://github.com/python/cpython/commit/72b874a2ac6a7c1931e8b60fb865dc57adb441ee
History
Date User Action Args
2019-11-02 17:05:34pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-11-02 17:04:21miss-islingtonsetmessages: + msg355876
2019-11-02 17:04:13miss-islingtonsetnosy: + miss-islington
messages: + msg355875
2019-11-02 16:47:18pitrousetnosy: - miss-islington

versions: + Python 3.7, Python 3.8
2019-11-02 16:47:00miss-islingtonsetpull_requests: + pull_request16545
2019-11-02 16:47:00miss-islingtonsetnosy: + miss-islington
messages: + msg355874
2019-11-02 16:46:50miss-islingtonsetpull_requests: + pull_request16544
2019-10-11 22:11:34taleinatsetnosy: + taleinat
messages: + msg354508
2019-10-11 00:44:07brandtbuchersettype: enhancement
2019-10-09 15:24:08cool-RRsetkeywords: + patch
stage: patch review
pull_requests: + pull_request16264
2019-10-09 15:15:39cool-RRcreate